#pragma once

#include <cstddef>
#include <memory>

#include <Ship/CargoFactory.h>
#include <Ship/Cargo.h>

class FruitFactory : public CargoFactory<int> {
public:
    std::unique_ptr<Cargo> create(size_t amount, int rottenCounter) override {
        return std::make_unique<Fruit>(amount, rottenCounter);
    }
};
